      integer*4 function nf_read_bry_NS (A, ncid, varid, record, type)
      


      use Agrif_Util
#include "Param_BeforeCall_nf_read_bry_NS.h"
      real, dimension(-1: Agrif_tabvars_i(2)%iarray0+2+ Agrif_tabvars_i(
     &13)%iarray0,1:N) :: A
      integer(4) :: ncid
      integer(4) :: varid
      integer(4) :: record
      integer(4) :: type
      

        call Sub_Loop_nf_read_bry_NS(A,ncid,varid,record,type,nf_read_br
     &y_NS, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(2)%iarray0, Agri
     &f_tabvars_i(176)%iarray0, Agrif_tabvars(295)%array1, Agrif_tabvars
     &_i(8)%iarray0, Agrif_tabvars_i(11)%iarray0, Agrif_tabvars_i(179)%i
     &array0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_i(9)%iarray0, Ag
     &rif_tabvars_i(178)%iarray0, Agrif_tabvars_i(13)%iarray0)

      end


#include "Sub_Loop_nf_read_bry_NS.h"
      integer*4 function nf_read_bry_EW (A, ncid, varid, record, type)
      


      use Agrif_Util
#include "Param_BeforeCall_nf_read_bry_EW.h"
      real, dimension(-1: Agrif_tabvars_i(4)%iarray0+2+ Agrif_tabvars_i(
     &14)%iarray0,1:N) :: A
      integer(4) :: ncid
      integer(4) :: varid
      integer(4) :: record
      integer(4) :: type
      

        call Sub_Loop_nf_read_bry_EW(A,ncid,varid,record,type,nf_read_br
     &y_EW, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(2)%iarray0, Agri
     &f_tabvars_i(176)%iarray0, Agrif_tabvars(295)%array1, Agrif_tabvars
     &_i(8)%iarray0, Agrif_tabvars_i(11)%iarray0, Agrif_tabvars_i(179)%i
     &array0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_i(9)%iarray0, Ag
     &rif_tabvars_i(178)%iarray0, Agrif_tabvars_i(14)%iarray0)

      end


#include "Sub_Loop_nf_read_bry_EW.h"
